$(function () {
var dictionary = {
"en": {
"Number": "Number",
"Contact": "Contact",
"Company": "Company",
"Amount": "Amount",
"PaymentDate": "Payment Date"
},
"de": {
"Number": "Nummer",
"Contact": "Ansprechpartner",
"Company": "Firma",
"Amount": "Betrag",
"PaymentDate": "Zahlungsdatum"
},
"ru": {
"Number": "Номер",
"Contact": "Имя",
"Company": "Организация",
"Amount": "Сумма",
"PaymentDate": "Дата оплаты"
}
};
DevExpress.localization.loadMessages(dictionary);
var locales = [
{ name: "English", value: "en" },
{ name: "Deutsch", value: "de" },
{ name: "Русский", value: "ru" }
];
var locale = getLocale();
DevExpress.localization.locale(locale);
var formatMessage = DevExpress.localization.formatMessage;
var dataGridOptions = {
dataSource: payments,
columns: [{
dataField: "PaymentId",
caption: formatMessage("Number"),
allowEditing: false,
width: "100px"
}, {
dataField: "ContactName",
caption: formatMessage("Contact")
}, {
dataField: "CompanyName",
caption: formatMessage("Company")
}, {
dataField: "Amount",
caption: formatMessage("Amount"),
dataType: "number",
format: "currency",
editorOptions: {
format: "currency",
showClearButton: true
}
}, {
dataField: "PaymentDate",
caption: formatMessage("PaymentDate"),
dataType: "date"
}],
filterRow: {
visible: true,
applyFilter: "auto"
},
editing: {
mode: "popup",
allowUpdating: true,
popup: {
width: 700,
height: 345
}
}
};
var selectBoxOptions = {
inputAttr: { id: "selectInput" },
dataSource: locales,
displayExpr: "name",
valueExpr: "value",
value: locale,
onValueChanged: changeLocale
};
function changeLocale(data) {
setLocale(data.value);
document.location.reload();
}
function getLocale() {
var locale = sessionStorage.getItem("locale");
return locale != null ? locale : "en";
}
function setLocale(locale) {
sessionStorage.setItem("locale", locale);
}
$("#gridContainer").dxDataGrid(dataGridOptions);
$("#selectBox").dxSelectBox(selectBoxOptions);
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/dx.all.js"></script>
<script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=Intl.~locale.en,Intl.~locale.de,Intl.~locale.ru"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/localization/dx.messages.de.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/localization/dx.messages.ru.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="data-grid-demo">
<div id="gridContainer"></div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<label for="selectInput">Language</label>
<div id="selectBox"></div>
</div>
</div>
</div>
</div>
</body>
</html>
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.option {
margin-top: 10px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option > label {
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
}
var payments = [{
"PaymentId": 1,
"ContactName": "Nancy Davolio",
"CompanyName": "Premier Buy",
"Amount": 1740,
"PaymentDate": "2013/01/06"
},
{
"PaymentId": 2,
"ContactName": "Andrew Fuller",
"CompanyName": "ElectrixMax",
"Amount": 850,
"PaymentDate": "2013/01/13"
},
{
"PaymentId": 3,
"ContactName": "Janet Leverling",
"CompanyName": "Video Emporium",
"Amount": 2235,
"PaymentDate": "2013/01/07"
},
{
"PaymentId": 4,
"ContactName": "Margaret Peacock",
"CompanyName": "Screen Shop",
"Amount": 1965,
"PaymentDate": "2013/01/03"
},
{
"PaymentId": 5,
"ContactName": "Steven Buchanan",
"CompanyName": "Braeburn",
"Amount": 880,
"PaymentDate": "2013/01/10"
},
{
"PaymentId": 6,
"ContactName": "Michael Suyama",
"CompanyName": "PriceCo",
"Amount": 5260,
"PaymentDate": "2013/01/17"
},
{
"PaymentId": 7,
"ContactName": "Robert King",
"CompanyName": "Ultimate Gadget",
"Amount": 2790,
"PaymentDate": "2013/01/21"
},
{
"PaymentId": 8,
"ContactName": "Laura Callahan",
"CompanyName": "EZ Stop",
"Amount": 3140,
"PaymentDate": "2013/01/01"
},
{
"PaymentId": 9,
"ContactName": "Anne Dodsworth",
"CompanyName": "Clicker",
"Amount": 6175,
"PaymentDate": "2013/01/24"
},
{
"PaymentId": 10,
"ContactName": "Clark Morgan",
"CompanyName": "Store of America",
"Amount": 4575,
"PaymentDate": "2013/01/11"
}];

<div id="data-grid-demo">
<dx-data-grid [dataSource]="payments">
<dxi-column dataField="PaymentId"
[caption]="formatMessage('Number')"
[allowEditing]="false"
width="100"></dxi-column>
<dxi-column dataField="ContactName"
[caption]="formatMessage('Contact')">
</dxi-column>
<dxi-column dataField="CompanyName"
[caption]="formatMessage('Company')">
</dxi-column>
<dxi-column dataField="Amount"
[caption]="formatMessage('Amount')"
dataType="number"
format="currency"
[editorOptions]="{
format: 'currency',
showClearButton: true
}">
</dxi-column>
<dxi-column dataField="PaymentDate"
[caption]="formatMessage('PaymentDate')"
dataType="date">
</dxi-column>
<dxo-filter-row [visible]="true"
[applyFilter]="auto">
</dxo-filter-row>
<dxo-editing mode="popup"
[allowUpdating]="true">
<dxo-popup [width]="700"
[height]="345">
</dxo-popup>
</dxo-editing>
</dx-data-grid>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<label for="selectInput">Language</label>
<dx-select-box id="selectBox"
[dataSource]="locales"
displayExpr="Name"
valueExpr="Value"
[value]="locale"
(onValueChanged)="changeLocale($event)"
[inputAttr]="{id: 'selectInput'}">
</dx-select-box>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSelectBoxModule, DxDataGridModule } from 'devextreme-angular';
import { Locale, Payment, Service } from './app.service';
import { locale, loadMessages, formatMessage } from 'devextreme/localization';
import deMessages from 'npm:devextreme/localization/messages/de.json!json';
import ruMessages from 'npm:devextreme/localization/messages/ru.json!json';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
preserveWhitespaces: true
})
export class AppComponent {
locale: string;
locales: Locale[];
payments: Payment[];
formatMessage = formatMessage;
constructor(private service: Service) {
this.locale = this.getLocale();
this.payments = service.getPayments();
this.locales = service.getLocales();
this.initMessages();
locale(this.locale);
}
initMessages() {
loadMessages(deMessages);
loadMessages(ruMessages);
loadMessages(this.service.getDictionary());
}
changeLocale(data) {
this.setLocale(data.value);
parent.document.location.reload();
}
getLocale() {
var locale = sessionStorage.getItem("locale");
return locale != null ? locale : "en";
}
setLocale(locale) {
sessionStorage.setItem("locale", locale);
}
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxDataGridModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
::ng-deep .option {
margin-top: 10px;
}
::ng-deep .caption {
font-size: 18px;
font-weight: 500;
}
::ng-deep .option > label {
margin-right: 10px;
}
::ng-deep .option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
}
import { Injectable } from '@angular/core';
export class Locale {
Name: string;
Value: string;
}
let locales: Locale[] = [{
"Name": "English",
"Value": "en"
}, {
"Name": "Deutsch",
"Value": "de"
}, {
"Name": "Русский",
"Value": "ru"
}];
export class Payment {
PaymentId: number;
ContactName: string;
CompanyName: string;
Amount: number;
PaymentDate: string;
}
let payments: Payment[] = [{
"PaymentId": 1,
"ContactName": "Nancy Davolio",
"CompanyName": "Premier Buy",
"Amount": 1740,
"PaymentDate": "2013/01/06"
},
{
"PaymentId": 2,
"ContactName": "Andrew Fuller",
"CompanyName": "ElectrixMax",
"Amount": 850,
"PaymentDate": "2013/01/13"
},
{
"PaymentId": 3,
"ContactName": "Janet Leverling",
"CompanyName": "Video Emporium",
"Amount": 2235,
"PaymentDate": "2013/01/07"
},
{
"PaymentId": 4,
"ContactName": "Margaret Peacock",
"CompanyName": "Screen Shop",
"Amount": 1965,
"PaymentDate": "2013/01/03"
},
{
"PaymentId": 5,
"ContactName": "Steven Buchanan",
"CompanyName": "Braeburn",
"Amount": 880,
"PaymentDate": "2013/01/10"
},
{
"PaymentId": 6,
"ContactName": "Michael Suyama",
"CompanyName": "PriceCo",
"Amount": 5260,
"PaymentDate": "2013/01/17"
},
{
"PaymentId": 7,
"ContactName": "Robert King",
"CompanyName": "Ultimate Gadget",
"Amount": 2790,
"PaymentDate": "2013/01/21"
},
{
"PaymentId": 8,
"ContactName": "Laura Callahan",
"CompanyName": "EZ Stop",
"Amount": 3140,
"PaymentDate": "2013/01/01"
},
{
"PaymentId": 9,
"ContactName": "Anne Dodsworth",
"CompanyName": "Clicker",
"Amount": 6175,
"PaymentDate": "2013/01/24"
},
{
"PaymentId": 10,
"ContactName": "Clark Morgan",
"CompanyName": "Store of America",
"Amount": 4575,
"PaymentDate": "2013/01/11"
}];
export class PaymentView {
Number: string;
Contact: string;
Company: string;
Amount: string;
PaymentDate: string;
}
export class Dictionary {
[key: string]: PaymentView;
}
let dictionary: Dictionary = {
"en": {
"Number": "Number",
"Contact": "Contact",
"Company": "Company",
"Amount": "Amount",
"PaymentDate": "Payment Date"
},
"de": {
"Number": "Nummer",
"Contact": "Ansprechpartner",
"Company": "Firma",
"Amount": "Betrag",
"PaymentDate": "Zahlungsdatum"
},
"ru": {
"Number": "Номер",
"Contact": "Имя",
"Company": "Организация",
"Amount": "Сумма",
"PaymentDate": "Дата оплаты"
}
};
@Injectable()
export class Service {
getPayments() {
return payments;
}
getLocales() {
return locales;
}
getDictionary() {
return dictionary;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'devextreme-intl': 'npm:devextreme-intl@19.1.8',
'json': 'npm:systemjs-plugin-json@0.3.0/json.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=Intl.~locale.en,Intl.~locale.de,Intl.~locale.ru"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Your search did not match any results.
Localization

Using Intl

Documentation

DevExtreme supports localization via Intl API. To apply localization, link or import dictionaries and set the locale with the DevExpress.localization.locale() method. Refer to the Localization article for more information on localization properties.

Backend API
Copy to CodeSandBox
Apply
Reset
<template> <div> <DxDataGrid :data-source="payments" key-expr="PaymentId" > <DxEditing :allow-updating="true" :popup="editPopupOptions" mode="popup" /> <DxFilterRow :visible="true" apply-filter="auto" /> <DxColumn :caption="formatMessage('Number')" :allow-editing="false" :width="100" data-field="PaymentId" /> <DxColumn :caption="formatMessage('Contact')" data-field="ContactName" /> <DxColumn :caption="formatMessage('Company')" data-field="CompanyName" /> <DxColumn :caption="formatMessage('Amount')" :editor-options="amountEditorOptions" data-field="Amount" data-type="number" format="currency" /> <DxColumn :caption="formatMessage('PaymentDate')" data-field="PaymentDate" data-type="date" /> </DxDataGrid> <div class="options"> <div class="caption">Options</div> <div class="option"> <label for="selectInput">Language </label> <DxSelectBox :data-source="locales" :value="locale" :input-attr="selectBoxInputAttr" value-expr="Value" display-expr="Name" @valueChanged="changeLocale($event)" /> </div> </div> </div> </template> <script> /* eslint-disable import/no-unresolved */ /* eslint-disable import/no-webpack-loader-syntax */ import { DxDataGrid, DxColumn, DxEditing, DxFilterRow, } from 'devextreme-vue/data-grid'; import DxSelectBox from 'devextreme-vue/select-box'; import deMessages from 'npm:devextreme/localization/messages/de.json!json'; import ruMessages from 'npm:devextreme/localization/messages/ru.json!json'; import { locale, loadMessages, formatMessage } from 'devextreme/localization'; import service from './data.js'; export default { components: { DxSelectBox, DxDataGrid, DxColumn, DxEditing, DxFilterRow, }, data() { return { locale: null, locales: service.getLocales(), payments: service.getPayments(), editPopupOptions: { width: 700, height: 345 }, amountEditorOptions: { format: 'currency', showClearButton: true }, selectBoxInputAttr: { id: 'selectInput' }, }; }, created() { this.locale = this.getLocale(); this.initMessages(); locale(this.locale); }, methods: { getLocale() { const storageLocale = sessionStorage.getItem('locale'); return storageLocale != null ? storageLocale : 'en'; }, setLocale(savingLocale) { sessionStorage.setItem('locale', savingLocale); }, initMessages() { loadMessages(deMessages); loadMessages(ruMessages); loadMessages(service.getDictionary()); }, changeLocale(e) { this.setLocale(e.value); document.location.reload(); }, formatMessage, }, }; </script> <style scoped> .options { padding: 20px; background-color: rgba(191, 191, 191, 0.15); margin-top: 20px; } .option { margin-top: 10px; } .caption { font-size: 18px; font-weight: 500; } .option > label { margin-right: 10px; } .option > .dx-selectbox { display: inline-block; vertical-align: middle; } </style>
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.js"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>
const payments = [ { PaymentId: 1, ContactName: 'Nancy Davolio', CompanyName: 'Premier Buy', Amount: 1740, PaymentDate: '2013/01/06', }, { PaymentId: 2, ContactName: 'Andrew Fuller', CompanyName: 'ElectrixMax', Amount: 850, PaymentDate: '2013/01/13', }, { PaymentId: 3, ContactName: 'Janet Leverling', CompanyName: 'Video Emporium', Amount: 2235, PaymentDate: '2013/01/07', }, { PaymentId: 4, ContactName: 'Margaret Peacock', CompanyName: 'Screen Shop', Amount: 1965, PaymentDate: '2013/01/03', }, { PaymentId: 5, ContactName: 'Steven Buchanan', CompanyName: 'Braeburn', Amount: 880, PaymentDate: '2013/01/10', }, { PaymentId: 6, ContactName: 'Michael Suyama', CompanyName: 'PriceCo', Amount: 5260, PaymentDate: '2013/01/17', }, { PaymentId: 7, ContactName: 'Robert King', CompanyName: 'Ultimate Gadget', Amount: 2790, PaymentDate: '2013/01/21', }, { PaymentId: 8, ContactName: 'Laura Callahan', CompanyName: 'EZ Stop', Amount: 3140, PaymentDate: '2013/01/01', }, { PaymentId: 9, ContactName: 'Anne Dodsworth', CompanyName: 'Clicker', Amount: 6175, PaymentDate: '2013/01/24', }, { PaymentId: 10, ContactName: 'Clark Morgan', CompanyName: 'Store of America', Amount: 4575, PaymentDate: '2013/01/11', }, ]; const locales = [ { Name: 'English', Value: 'en', }, { Name: 'Deutsch', Value: 'de', }, { Name: 'Русский', Value: 'ru', }, ]; const dictionary = { en: { Number: 'Number', Contact: 'Contact', Company: 'Company', Amount: 'Amount', PaymentDate: 'Payment Date', }, de: { Number: 'Nummer', Contact: 'Ansprechpartner', Company: 'Firma', Amount: 'Betrag', PaymentDate: 'Zahlungsdatum', }, ru: { Number: 'Номер', Contact: 'Имя', Company: 'Организация', Amount: 'Сумма', PaymentDate: 'Дата оплаты', }, }; export default { getPayments() { return payments; }, getLocales() { return locales; }, getDictionary() { return dictionary; }, };
window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, 'devextreme/localization.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.2.47/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js', 'json': 'npm:systemjs-plugin-json@0.3.0/json.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@22.2.5/cjs', 'devextreme-vue': 'npm:devextreme-vue@22.2.5', 'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.42/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.11/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);

import React from 'react';
import DataGrid, { Column, Editing, FilterRow } from 'devextreme-react/data-grid';
import SelectBox from 'devextreme-react/select-box';
import deMessages from 'npm:devextreme/localization/messages/de.json!json';
import ruMessages from 'npm:devextreme/localization/messages/ru.json!json';
import { locale, loadMessages, formatMessage } from 'devextreme/localization';
import service from './data.js';
const editPopupOptions = {
width:700,
height:345
};
const amountEditorOptions = {
format: 'currency',
showClearButton: true
};
const selectBoxInputAttr = { id: 'selectInput' };
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
locale: this.getLocale()
};
this.locales = service.getLocales();
this.payments = service.getPayments();
this.initMessages();
locale(this.state.locale);
this.changeLocale = this.changeLocale.bind(this);
}
getLocale() {
const locale = sessionStorage.getItem('locale');
return locale != null ? locale : 'en';
}
setLocale(locale) {
sessionStorage.setItem('locale', locale);
}
initMessages() {
loadMessages(deMessages);
loadMessages(ruMessages);
loadMessages(service.getDictionary());
}
changeLocale(e) {
this.setState({
locale: e.value
});
this.setLocale(e.value);
document.location.reload();
}
render() {
return (
<div>
<DataGrid dataSource={this.payments}
keyExpr="PaymentId">
<Editing mode="popup"
allowUpdating={true}
popup={editPopupOptions} />
<FilterRow visible={true}
applyFilter="auto" />
<Column dataField="PaymentId"
caption={formatMessage('Number')}
allowEditing={false}
width={100} />
<Column dataField="ContactName"
caption={formatMessage('Contact')} />
<Column dataField="CompanyName"
caption={formatMessage('Company')} />
<Column dataField="Amount"
caption={formatMessage('Amount')}
dataType="number"
format="currency"
editorOptions={amountEditorOptions} />
<Column dataField="PaymentDate"
caption={formatMessage('PaymentDate')}
dataType="date" />
</DataGrid>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<label htmlFor="selectInput">Language</label>
<SelectBox items={this.locales}
valueExpr="Value"
displayExpr="Name"
value={this.state.locale}
onValueChanged={this.changeLocale}
inputAttr={selectBoxInputAttr} />
</div>
</div>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.options {
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
margin-top: 20px;
}
.option {
margin-top: 10px;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option > label {
margin-right: 10px;
}
.option > .dx-selectbox {
display: inline-block;
vertical-align: middle;
}
const payments = [
{
'PaymentId': 1,
'ContactName': 'Nancy Davolio',
'CompanyName': 'Premier Buy',
'Amount': 1740,
'PaymentDate': '2013/01/06'
},
{
'PaymentId': 2,
'ContactName': 'Andrew Fuller',
'CompanyName': 'ElectrixMax',
'Amount': 850,
'PaymentDate': '2013/01/13'
},
{
'PaymentId': 3,
'ContactName': 'Janet Leverling',
'CompanyName': 'Video Emporium',
'Amount': 2235,
'PaymentDate': '2013/01/07'
},
{
'PaymentId': 4,
'ContactName': 'Margaret Peacock',
'CompanyName': 'Screen Shop',
'Amount': 1965,
'PaymentDate': '2013/01/03'
},
{
'PaymentId': 5,
'ContactName': 'Steven Buchanan',
'CompanyName': 'Braeburn',
'Amount': 880,
'PaymentDate': '2013/01/10'
},
{
'PaymentId': 6,
'ContactName': 'Michael Suyama',
'CompanyName': 'PriceCo',
'Amount': 5260,
'PaymentDate': '2013/01/17'
},
{
'PaymentId': 7,
'ContactName': 'Robert King',
'CompanyName': 'Ultimate Gadget',
'Amount': 2790,
'PaymentDate': '2013/01/21'
},
{
'PaymentId': 8,
'ContactName': 'Laura Callahan',
'CompanyName': 'EZ Stop',
'Amount': 3140,
'PaymentDate': '2013/01/01'
},
{
'PaymentId': 9,
'ContactName': 'Anne Dodsworth',
'CompanyName': 'Clicker',
'Amount': 6175,
'PaymentDate': '2013/01/24'
},
{
'PaymentId': 10,
'ContactName': 'Clark Morgan',
'CompanyName': 'Store of America',
'Amount': 4575,
'PaymentDate': '2013/01/11'
}
];
const locales = [
{
'Name': 'English',
'Value': 'en'
},
{
'Name': 'Deutsch',
'Value': 'de'
},
{
'Name': 'Русский',
'Value': 'ru'
}
];
const dictionary = {
'en': {
'Number': 'Number',
'Contact': 'Contact',
'Company': 'Company',
'Amount': 'Amount',
'PaymentDate': 'Payment Date'
},
'de': {
'Number': 'Nummer',
'Contact': 'Ansprechpartner',
'Company': 'Firma',
'Amount': 'Betrag',
'PaymentDate': 'Zahlungsdatum'
},
'ru': {
'Number': 'Номер',
'Contact': 'Имя',
'Company': 'Организация',
'Amount': 'Сумма',
'PaymentDate': 'Дата оплаты'
}
};
export default {
getPayments() {
return payments;
},
getLocales() {
return locales;
},
getDictionary() {
return dictionary;
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'devextreme-intl': 'npm:devextreme-intl@19.1.10-build-20037-0315',
'json': 'npm:systemjs-plugin-json@0.3.0/json.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-react': 'npm:devextreme-react@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});